"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.inject("$api");
    const id = common_vendor.ref("");
    const config = common_vendor.ref({ logo: [], file: [] });
    common_vendor.ref({});
    common_vendor.computed(() => {
      return common_vendor.index.getStorageSync("user");
    });
    common_vendor.onLoad(async (options) => {
      id.value = options && options.id;
      await searchConfig();
      await searchOther();
      await search();
    });
    const searchConfig = async () => {
      config.value = common_vendor.index.getStorageSync("config");
    };
    const searchOther = async () => {
    };
    const search = async () => {
    };
    return (_ctx, _cache) => {
      return {};
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5346e3e3"], ["__file", "D:/project/学吧/learn_applet/pagesHome/teacher/index.vue"]]);
wx.createPage(MiniProgramPage);
